diff --git a/libwebp_no_avx.patch b/libwebp_no_avx.patch
new file mode 100644
index 0000000..9bf302f
--- /dev/null
+++ b/libwebp_no_avx.patch
@@ -0,0 +1,13 @@
+diff --git a/cmake/cpu.cmake b/cmake/cpu.cmake
+index 381f64a..0a5bf52 100644
+--- a/cmake/cpu.cmake
++++ b/cmake/cpu.cmake
+@@ -48,7 +48,7 @@ if(MSVC AND CMAKE_C_COMPILER_ID STREQUAL "MSVC")
+   if(MSVC_VERSION GREATER_EQUAL 1800 AND NOT CMAKE_C_FLAGS MATCHES "/arch:")
+     set(SIMD_ENABLE_FLAGS)
+   else()
+-    set(SIMD_ENABLE_FLAGS "/arch:AVX;/arch:SSE2;;;;")
++    set(SIMD_ENABLE_FLAGS "/arch:SSE2;;;;")
+   endif()
+   set(SIMD_DISABLE_FLAGS)
+ else()
diff --git a/portfile.cmake b/portfile.cmake
index 985a6d5..1ac9af9 100644
--- a/portfile.cmake
+++ b/portfile.cmake
@@ -13,6 +13,7 @@ vcpkg_from_github(
     0007-fix-arm-build.patch
     0008-sdl.patch
     0009-glut.patch
+	libwebp_no_avx.patch
 )
 
 vcpkg_check_features(OUT_FEATURE_OPTIONS FEATURE_OPTIONS
diff --git a/vcpkg.json b/vcpkg.json
index 179f1cc..c7cedff 100644
--- a/vcpkg.json
+++ b/vcpkg.json
@@ -125,31 +125,6 @@
     },
     "unicode": {
       "description": "Build Unicode executables. (Adds definition UNICODE and _UNICODE)"
-    },
-    "vwebp": {
-      "description": "Build the vwebp viewer tool.",
-      "dependencies": [
-        {
-          "name": "freeglut",
-          "platform": "!osx"
-        },
-        "opengl"
-      ]
-    },
-    "vwebp-sdl": {
-      "description": "Build the vwebp viewer tool.",
-      "dependencies": [
-        {
-          "name": "libwebp",
-          "features": [
-            "vwebp"
-          ]
-        },
-        {
-          "name": "sdl1",
-          "platform": "windows"
-        }
-      ]
     }
   }
 }
